/**

	BasePiPL.rc
	Copyright (c) 1995 Adobe Systems Incorporated.

	Adobe Illustrator 7.0 Basic Properties Resource Description.

 **/

#if AISDKVersion >= 24
# define LC(a,b,c,d)     #a, #b, #c, #d
# define NUM_1           0x01000000L
# define NUM_2L          0x02000000L
# define NUM_3L          0x03000000L
# define NUM_4L          0x04000000L
# define NUM_12L         0x0C000000L
#else
# define LC(a,b,c,d)     #d, #c, #b, #a
# define NUM_1           1
# define NUM_2L          2L
# define NUM_3L          3L
# define NUM_4L          4L
# define NUM_12L         12L
#endif

//LANGUAGE 0, 0

#if AISDKVersion >= 24
PLUGIN  PiPL  DISCARDABLE
#else
16000  PiPL  DISCARDABLE
#endif
BEGIN
    NUM_1,              /* Reserved (for Photoshop) */
    0L,                 /* kCurrentPiPLVersion */
#ifdef AIPW_LOAD_PLUGIN_EARLY
    NUM_4L,             /* Property Count */
#else
    NUM_3L,             /* Property Count */
#endif

    LC(A,D,B,E),        /* PIAdobeVendorID */
    LC(i,v,r,s),        /* Interface Version */
    0L,                 /* Property ID */
    NUM_4L,             /* Property Length */
    NUM_2L,             /* Version Number */

    LC(A,D,B,E),        /* PIAdobeVendorID */
    LC(k,i,n,d),        /* PIKindProperty */
    0L,                 /* Property ID */
    NUM_4L,             /* Property Length */
    LC(S,P,E,A),        /* SweetPEA2 plug in */

    LC(A,D,B,E),        /* PIAdobeVendorID */
    LC(w,x,8,6),        /* PIWin32X86CodeProperty */
    0L,                 /* Property ID */
    NUM_12L,            /* Property Length */
    "PluginMain\0\0"    /* Entrypoint Name */
                        /* (Long Word padded C String) */

#ifdef AIPW_LOAD_PLUGIN_EARLY
    LC(A,D,B,E),        /* PIAdobeVendorID */
    LC(S,t,s,P),        /* Start-up Stage Policy */
    0L,                 /* Property ID */
    NUM_4L,             /* Property Length */
    LC(c,l,E,n)         /* Load at Early Stage */
#endif
END
